# 47. Sorgu: "ZonesMaps" getir

Kullanıcı "ZonesMaps" öğelerini almak için sorgu. Sayfalandırma mantığını uygulamak için sorgu parametresini kullanın `sayfaBoyutu`. Filtre, VE koşulu gibi çalışır, örn. ile filtrelemek mümkündür `farmUuid`, `fieldUuid`, `vectorAnalysisMapUuid`, `etiketler`, `amaç`, `tür`, ve `sadeceOranlarla` tek bir sorguda veya sadece bir filtre koşulu kullanabilir veya hiçbir koşul kullanmayabilirsiniz.&#x20;

Kısıtlamalar: ile filtreleme `amaç`, `tür`, ve `sadeceOranlarla` ancak ile birlikte çalışır `fieldUuid`. Bölge haritaları ile aramak izin verilir `vectorAnalysisMapUuid` tek bir özniteliğe.&#x20;

Şu kadar var `sonDeğerlendirilenAnahtar` ve `toplamSayı`  yanıtta. The `sonDeğerlendirilenAnahtar` filtreleme koşullarına uyan son işlenen kaydı ifade eder. `toplamSayı` - filtreleme koşullarına uyan toplam kayıt sayısıdır.

## &#x20;Şablon

{% code overflow="wrap" lineNumbers="true" %}

```graphql
sorgu FilterZonesMapsSample {
  getZonesMaps(
    filtre: {
      sayfaBoyutu: 10
      fieldUuid: "<placeholder_of_field_uuid>"
      farmUuid: "<placeholder_of_farm_uuid>"
      amaç: EKİM
      tür: UYDU
      etiketler: ["id=tarla"]
      sadeceOranlarla: true
      vektörAnalizHaritasıUuid: "<vektöranalizharitasi_uuid_yeri_tutucu>"
    }
) {
    zonesMaps {
      uuid
      isim
      zonesMapGeojson(birim: DÖNÜM)
      zonesMapUrl
    }
    toplamSayı
    sonDeğerlendirilenAnahtar {
      BölümAnahtarı
      SıralamaAnahtarı
      EtiketDizisi
    }
  }
}
```

{% endcode %}

## Talep Et

```graphql
sorgu FilterZonesMapsSample {
  getZonesMaps(
    filtre: {
      sayfaBoyutu: 3
      tarlaUuid: "a716fd04-4f78-4ce8-b712-ffb88bd2acdd"
      amaç: GENEL
    }
) {
    zonesMaps {
      uuid
      isim
      zonesMapUrl
    }
    sonDeğerlendirilenAnahtar {
      BölümAnahtarı
      SıralamaAnahtarı
      EtiketDizisi
    }
  }
}
```

## Yanıt

### Meta veriler

Yanıt aşağıdaki JSON'u içerir.&#x20;

```json
{
  "data": {
    "getZonesMaps": {
      "zonesMaps": [
        {
          "uuid": "ff06c914-7b87-4e67-991e-7b63c29967ee",
          "name": "GP_Auto_Nitrogen_Use_Efficiency_GP Value",
          "zonesMapUrl": "https://api.geopard.tech/geo/feature?SERVICE=WFS&VERSION=2.0.0&REQUEST=GetFeature&TYPENAMES=yield_zone_map_view&OUTPUTFORMAT=application/json&VIEWPARAMS=uuid:ff06c914-7b87-4e67-991e-7b63c29967ee"
        },
        {
          "uuid": "ec8cd4db-efe9-40a3-b616-7169bcde9be9",
          "name": "7 Yıl 2016-2023",
          "zonesMapUrl": "https://api.geopard.tech/geo/feature?SERVICE=WFS&VERSION=2.0.0&REQUEST=GetFeature&TYPENAMES=zone_map_view&OUTPUTFORMAT=application/json&VIEWPARAMS=uuid:ec8cd4db-efe9-40a3-b616-7169bcde9be9"
        },
        {
          "uuid": "eb4ddd50-ff38-4467-b8e0-cce26be699c8",
          "name": "VR Ekim",
          "zonesMapUrl": "https://api.geopard.tech/geo/feature?SERVICE=WFS&VERSION=2.0.0&REQUEST=GetFeature&TYPENAMES=multilayers_zone_map_view&OUTPUTFORMAT=application/json&VIEWPARAMS=uuid:eb4ddd50-ff38-4467-b8e0-cce26be699c8"
        }
      ],
      "lastEvaluatedKey": {
        "PartitionKey": "a716fd04-4f78-4ce8-b712-ffb88bd2acdd",
        "SortKey": "eb4ddd50-ff38-4467-b8e0-cce26be699c8",
        "TagString": null
      }
    }
  }
}
```

### Bölge İstatistikleri ve Geometrileri

Bölge İstatistikleri ve Geometrilerine ilişkin ayrıntılar şurada yer almaktadır `zonesMapUrl` .&#x20;

İstatistik örneği şundan `properties (özellikler)` şağıdadır.

```json
"properties": {
  "mapUuid": "ff06c914-7b87-4e67-991e-7b63c29967ee",
  "zone": 1,
  "attributes": {
    "avg": 70.427,
    "max": 103.0,
    "min": 56.0,
    "std": 11.456,
    "sum": 30847.0,
    "area": 4000.0073042009,
    "index": "VALUE",
    "median": 66.0
  },
  "createdDate": "2023-10-12T22:09:26.447Z",
  "updatedDate": "2023-10-12T22:09:26.447Z",
  "minZone": 1,
  "avgZone": 3,
  "maxZone": 5,
  "sqm": 4000.01
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/tr/api-belgeleri/geopard-api-isteklerine-genel-bakis/47.-sorgu-zonesmaps-getir.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
